> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel a batch scrape



## OpenAPI

````yaml /docs/openapi.yaml delete /batch/scrape/{id}
openapi: 3.0.3
info:
  title: BeeCrawl API
  version: 0.1.0
  description: Self-hostable web scraping, crawling, search, and extraction API.
servers:
  - url: https://api.beecrawl.dev
    description: BeeCrawl hosted deployment
  - url: http://127.0.0.1:8000
    description: Local development
security:
  - apiKey: []
tags:
  - name: Scraping
  - name: Discovery
  - name: Async jobs
  - name: Search
  - name: Extraction
paths:
  /batch/scrape/{id}:
    parameters:
      - $ref: '#/components/parameters/JobId'
    delete:
      tags:
        - Async jobs
      summary: Cancel a batch scrape
      operationId: cancelBatchScrape
      responses:
        '200':
          description: Updated batch status.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlStatusResponse'
components:
  parameters:
    JobId:
      name: id
      in: path
      required: true
      schema:
        type: string
  schemas:
    CrawlStatusResponse:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
          format: uri
        status:
          type: string
        total:
          type: integer
        completed:
          type: integer
        failed:
          type: integer
        data:
          type: array
          items:
            $ref: '#/components/schemas/ScrapeResponse'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/CrawlError'
        pagination:
          $ref: '#/components/schemas/Pagination'
    ScrapeResponse:
      type: object
      required:
        - request_id
        - url
        - final_url
        - markdown
        - metadata
      properties:
        request_id:
          type: string
        url:
          type: string
          format: uri
        final_url:
          type: string
          format: uri
        markdown:
          type: string
        html:
          type: string
        rawHtml:
          type: string
        links:
          type: array
          items:
            type: string
            format: uri
        screenshot:
          type: string
          description: PNG data URL when requested.
        metadata:
          $ref: '#/components/schemas/ScrapeMetadata'
    CrawlError:
      type: object
      properties:
        url:
          type: string
          format: uri
        code:
          type: string
        message:
          type: string
    Pagination:
      type: object
      properties:
        offset:
          type: integer
        limit:
          type: integer
        total:
          type: integer
        next:
          type: integer
          nullable: true
    ScrapeMetadata:
      type: object
      properties:
        title:
          type: string
          nullable: true
        language:
          type: string
          nullable: true
        status_code:
          type: integer
          nullable: true
        provider:
          type: string
        rendered:
          type: boolean
        elapsed_ms:
          type: integer
          nullable: true
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-Web-Extract-Api-Key
      description: API key. X-Api-Key and Bearer authentication are also accepted.

````